Download 6.0.6 Release
June 15, 2018

Jazz Foundation

The foundation of the Collaborative Lifecycle Management solution

Jazz Foundation 5.0

Product Release / Trial | June 2, 2014
This is not the most recent version. We recommend Jazz Foundation 6.0.6 . This is made available for archival purposes and may contain bugs and/or security vulnerabilities. If you do download this version, it is being provided AS IS, without warranties of any kind, including the implied warranties of merchantability and fitness for a particular purpose. We strongly advise you review the support pages for this version and update the product or take actions recommended therein. Security bulletins contain instructions for the security vulnerability addressed therein, and may require upgrading to a newer version. Link to security vulnerability blog: IBM PSIRT blog.

Upgrading to Jazz Foundation 5.0

Before you upgrade

If you plan to upgrade to 5.0, be aware of these issues:

  • Upgrading to version 5.0 is supported for versions 4.0 and later.
  • The version of Apache Tomcat that is bundled with this release of the CLM products does not support NIST SP 800-131 strict mode. If you require strict mode and must upgrade, use IBM WebSphere Application Server.
  • If the CLM applications to upgrade are co-located in the same WebSphere Application Server profile or on Apache Tomcat, you must upgrade all of the applications at the same time.
  • If you use version 4.0 or later of the CLM products with DB2 9.7 or SQL Server 2008, you must upgrade to DB2 10 or SQL Server 2012 before you upgrade to CLM 5.0. For more information, see Work Item 307924.
  • If you upgrade an RM application that has a version 2 context root, either manually perform the upgrade or use the upgrade script with the workaround that is stated in Work Item 86859.
  • After you upgrade the RM application, issues might occur with creating some link types from modules. For a patch to resolve these issues, see Work Item 86555.
  • For Oracle database users only: If you upgrade from version 4.0.6 to 5.0, an internal error might occur when you run the Initializing Load Wizard. To fix or avoid this issue, upgrade the server to version 5.0.1. If you must upgrade to version 5.0, see comment 46 in work item 319678 for instructions to download and apply a patch.
  • Because CLM version 4.0.7 was released after version 5.0, the Interactive Upgrade Guide for version 5.0 does not include an option to upgrade from version 4.0.7. However, this upgrade path is fully supported, and the upgrade steps are identical to the steps for upgrading from version 4.0.6. In the Interactive Upgrade Guide, users can select version 4.0.6 as the current version to get the instructions and then change the old_server_path accordingly. For example, change -oldJTSHome JTS_4.0.6_install_dir/server/conf to -oldJTSHome JTS_4.0.7_install_dir/server/conf.

When you upgrade the RM application to version 5.0, as a supplement to the Interactive upgrade guide in the product documentation, see this Deployment wiki article. The article contains additional details, guidance, and troubleshooting information.

Rational Reporting for Development Intelligence

If you use the optional program Rational Reporting for Development Intelligence to customize reports, you must first upgrade Jazz Team Server and the data warehouse to version 5.0 and then upgrade Rational Reporting for Development Intelligence to version 5.0. For more information about Rational Reporting for Development Intelligence, see the related section in Reporting and the upgrade process.

Rational Insight

Rational Insight 1.1.1.4 is compatible with the 5.0 release of the CLM products. Before you upgrade Rational Insight, you must upgrade Jazz Team Server to version 5.0. For more information, see the related section in Reporting and the upgrade process.

Change and Configuration Management, Quality Management, and Requirements Management

If you are upgrading any of the Change and Configuration Management (CCM), Quality Management (QM), and Requirements Management (RM) applications from version 4.0 and later, see Upgrading to version 5.0. If you are upgrading from a version 3 release, first upgrade to a version 4 release, preferably the latest 4.0.x release. For more information, see Upgrading from version 3 to the current version.

If you are upgrading from a release that is earlier than 4.0.1 in a distributed environment (CLM applications are on separate servers) and you will not upgrade all CLM applications to 5.0, a mandatory workaround provides the appropriate base licenses that are required for the upgrade. See Work item 251460: Incorrect documentation for upgrading JTS and apps in a staged fashion when going from pre-4.0.1 to post 4.0.1 CLM release.

  1. Install the new Jazz Team Server.
  2. Install any missing licenses from the 4.0 functional client access licenses (CALs) .zip file by using the Admin licensing page in the web client. Use the ContributedCALs40xCompatible.zip file, which you can download from this page.
  3. If you are upgrading the CCM application, before you upgrade, go to the Admin licensing page in the web client and delete these CALs:
    • CCM Data Collector
    • Build System
    • ClearCase Synchronizer
    • ClearQuest Synchronizer
    Then, proceed with the upgrade of the CCM application.
  4. If you are upgrading the QM application, go to the Admin licensing page in the web client and delete these CALs:
    • QM Data Collector
    • RQM Connector
    Then, proceed with the upgrade of the QM application.
  5. Restart Jazz Team Server.